# TODO:
# - c extension build is done in install phase (http://bugs.mysql.com/bug.php?id=78621)
#
# Conditional build:
%bcond_with	tests		# build with tests (requires mysql server)

%ifarch %{x8664}
%define		mysql_ver	8.4
%else
%define		mysql_ver	8.0
%endif

%define		pname	mysql-connector
Summary:	The MySQL Client/Protocol implemented in Python
Summary(pl.UTF-8):	Protokół kliencki MySQL zaimplementowany w Pythonie
Name:		python3-%{pname}
# check documentation to see which version is GA (we don't want devel releases)
# https://dev.mysql.com/downloads/connector/python/
Version:	9.2.0
Release:	5
License:	GPL v2
Group:		Libraries/Python
Source0:	http://cdn.mysql.com/Downloads/Connector-Python/mysql-connector-python-%{version}-src.tar.gz
# Source0-md5:	608a884c2b8290f429276afe3c6113e9
#Source0:	https://pypi.debian.net/mysql-connector-python/mysql-connector-python-%{version}.tar.gz
Patch0:		force-capi.patch
Patch1:		tests.patch
URL:		http://dev.mysql.com/doc/connector-python/en/
BuildRequires:	mysql%{mysql_ver}-devel
BuildRequires:	protobuf-devel >= 3.0.0
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with tests}
BuildRequires:	mysql
%endif
Requires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MySQL Connector/Python is implementing the MySQL Client/Server
protocol.

%description -l pl.UTF-8
MySQL Connector/Python to protokół klient-serwer MySQL-a.

%prep
%setup -q -n mysql-connector-python-%{version}-src
%patch -P0 -p1
%patch -P1 -p1

%build
export MYSQL_CAPI=%{_bindir}/mysql_config%{mysql_ver}

cd mysql-connector-python

%py3_build
%if %{with tests}
export PYTHONPATH="$(pwd)/$(echo build-3/lib*)"
%{__python3} unittests.py \
	--verbosity 1 \
	--keep --stats \
	--skip-install \
	--with-mysql=%{_prefix} \
	--with-mysql-share=%{_datadir}/mysql
%endif

cd ..

%install
rm -rf $RPM_BUILD_ROOT

# see NOTE on beginning of the spec
export PROTOC=%{_bindir}/protoc
export PROTOBUF_INCLUDE_DIR=%{_includedir}
export PROTOBUF_LIB_DIR=%{_libdir}

export MYSQLXPB_PROTOC=%{_bindir}/protoc
export MYSQLXPB_PROTOBUF_INCLUDE_DIR=%{_includedir}
export MYSQLXPB_PROTOBUF_LIB_DIR=%{_libdir}

export MYSQL_CAPI=%{_bindir}/mysql_config%{mysql_ver}

cd mysql-connector-python
%py3_install
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.txt README.txt
%attr(755,root,root) %{py3_sitedir}/_mysql_connector.cpython-*.so
%{py3_sitedir}/mysql*.egg-info
%{py3_sitedir}/mysql
%changelog
* Wed Mar 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-mysql-connector.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 850ecca
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 03bd18b
- python 3.13 rebuild

* Mon Feb 17 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b01671
- Rel 3; use older mysql for archs other than x8664

* Mon Feb 17 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 6fa5071
- Rel 2; split MySQL X DevAPI protocol into python3-mysqlx-connector.spec; fix desc to match reality

* Tue Feb 11 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> e6b563b
- Up to 9.2.0

* Thu Dec 19 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> 8567b5e
- Up to 9.1.0

* Thu Mar 21 2024 Arkadiusz Miśkiewicz <arekm@maven.pl> e305f42
- Up to 8.0.33

* Thu Apr 28 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 81436a0
- Up to 8.0.29; python3 only version. Requires modern mysql/mariadb headers.

* Thu Apr 28 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> c42c644
- Up to 8.0.23; force capi extension build

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> e33ec80
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 5bd4f18
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ff86485
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> d2adaf5
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 122f284
- release 2 (by relup.sh)

* Mon Jul 13 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> bcab3f0
- up to 8.0.21

* Mon Apr 27 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 4d0627c
- up to 8.0.20

* Fri Jan 17 2020 Jan Rękorajski <baggins@pld-linux.org> a80a3e8
- relax python-protobuf deps

* Thu Jan 16 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> b369dad
- up to 8.0.19

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 93ddb4c
- pl, BR: python-setuptools

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 671c66b
- rebuild with python 3.8
- release 2 (by relup.sh)

